---
title: "Blog"
source: /fr/gcxone/api/blog
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources de blog. 6 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentication](/gcxone/api/authentication).

## POST /blog

Ajouter un nouveau blog à un niveau hiérarchique spécifique

### Corps de la demande

Ajouter un blog

```json
{
  "title": "string (required)",
  "description": "string",
  "content": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## POST /blog/filter

Obtenir la liste des blogs avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Cela offre la possibilité d'obtenir des champs d'entité supplémentaires dans la réponse. Fournit également les métadonnées de configuration de l'entité.

### Corps de la demande

Filtrage et tri des blogs

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse:

```json
{
  "dataResult": [
    {
      "_id": "62d76c65104ef771f6a11f0c",
      "uniqueId": "62d76c65104ef771f6a11f0cas1209ji",
      "title": "Blog 1",
      "description": "description 1",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    },
    {
      "_id": "62d76f78104ef771f6a11f0e",
      "uniqueId": "156c67kiokio04ef771f6a11f0cas1209ji",
      "title": "Blog 2",
      "description": "description 2",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    }
  ],
  "totalRecordsCount": 15
}
```

## GET /blog/{id}

Obtenir le blog par Id

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PUT /blog/{id}

Mettre à jour un blog existant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Corps de la Demande

Pour mettre à jour un blog, fournir l'Id existant

```json
{
  "title": "string",
  "description": "string",
  "content": "string",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse :

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PATCH /blog/{id}

Patch pour publier le blog

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Corps de la Demande

Publier le blog

```json
{
  "isPublished": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "isSuccess": true
}
```

## DELETE /blog/{id}

Supprimer un blog par Id

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "isSuccess": true
}
```